Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 869968 - net-proxy/squid-5.7: version bump
Summary: net-proxy/squid-5.7: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL: https://www.squid-cache.org/Versions/v5/
Whiteboard:
Keywords:
Depends on:
Blocks: CVE-2022-41317, CVE-2022-41318, SQUID-2022:1, SQUID-2022:2
  Show dependency tree
 
Reported: 2022-09-13 09:49 UTC by onkobu
Modified: 2022-09-29 02:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description onkobu 2022-09-13 09:49:00 UTC
Current ebuild is 5.4.1-r2. Packages.gentoo.org notifies about 5.7 upstream. There are bugs pending:

* Bug#816246
* Bug#836743
* Bug#834503

I could successfully compile (with no additional settings) and start squid. Is there anything serious I should consider before filing PR against the ebuild to bump at least ~amd64 to 5.7? Are the versions in between of interest?

Reproducible: Always
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-09-26 16:12:36 UTC
Working on it.
Comment 2 Larry the Git Cow gentoo-dev 2022-09-29 02:14:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69e685162ba2ccf86cf04e7ba544718bc9ae41d4

commit 69e685162ba2ccf86cf04e7ba544718bc9ae41d4
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-09-24 06:19:24 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-09-29 02:14:37 +0000

    net-proxy/squid: add 5.7
    
    Bug: https://bugs.gentoo.org/858845
    Bug: https://bugs.gentoo.org/872551
    Closes: https://bugs.gentoo.org/706126
    Closes: https://bugs.gentoo.org/869968
    Signed-off-by: Sam James <sam@gentoo.org>

 net-proxy/squid/Manifest         |   1 +
 net-proxy/squid/squid-5.7.ebuild | 362 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 363 insertions(+)